CREATE DATABASE IF NOT EXISTS hack_test;

GRANT ALL PRIVILEGES ON hack_test.* TO 'hack_test'@localhost identified by 'testpass';

FLUSH PRIVILEGES;

use hack_test;

CREATE TABLE IF NOT EXISTS `user` (`user_id` int not null auto_increment primary key, `user_name` varchar(255), `user_password` varchar(255), `user_is_admin` tinyint(1) default 0);

CREATE TABLE IF NOT EXISTS `blog` (`blog_id` int not null auto_increment primary key, `blog_title` varchar(255), `blog_body` varchar(255), `user_id` int not null);

INSERT INTO user (`user_name`, `user_password`, `user_is_admin`) VALUES ('admin', md5('beekeeper'), 1);

INSERT INTO blog (`blog_title`, `blog_body`, `user_id`) VALUES ('This is the first blog post!', 'Wow, I am so happy I got this test site installed, hopefully nobody will hack it ;)', 1);
